Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.util
Class XMLSymbols

    java.lang.Object
      weblogic.apache.xerces.util.XMLSymbols

Deprecated. please use JDK supplied XML parsers and transformers

public class XMLSymbols
extends Object

All internalized xml symbols. They can be compared using "==".

Field Summary
`static String` | `EMPTY_STRING` Deprecated. The empty string.
`static String` | `fANYSymbol` Deprecated. Symbol: "ANY".
`static String` | `fCDATASymbol` Deprecated. Symbol: "CDATA".
`static String` | `fENTITIESSymbol` Deprecated. Symbol: "ENTITIES".
`static String` | `fENTITYSymbol` Deprecated. Symbol: "ENTITY".
`static String` | `fENUMERATIONSymbol` Deprecated. Symbol: "ENUMERATION".
`static String` | `fFIXEDSymbol` Deprecated. Symbol: "#FIXED".
`static String` | `fIDREFSSymbol` Deprecated. Symbol: "IDREFS".
`static String` | `fIDREFSymbol` Deprecated. Symbol: "IDREF".
`static String` | `fIDSymbol` Deprecated. Symbol: "ID".
`static String` | `fIMPLIEDSymbol` Deprecated. Symbol: "#IMPLIED.
`static String` | `fNMTOKENSSymbol` Deprecated. Symbol: "NMTOKENS".
`static String` | `fNMTOKENSymbol` Deprecated. Symbol: "NMTOKEN".
`static String` | `fNOTATIONSymbol` Deprecated. Symbol: "NOTATION".
`static String` | `fREQUIREDSymbol` Deprecated. Symbol: "#REQUIRED".
`static String` | `PREFIX_XML` Deprecated. The internalized "xml" prefix.
`static String` | `PREFIX_XMLNS` Deprecated. The internalized "xmlns" prefix.

Constructor Summary
`XMLSymbols()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_STRING

    public static final String EMPTY_STRING

  Deprecated.
  The empty string.

### fANYSymbol

    public static final String fANYSymbol

  Deprecated.
  Symbol: "ANY".

### fCDATASymbol

    public static final String fCDATASymbol

  Deprecated.
  Symbol: "CDATA".

### fENTITIESSymbol

    public static final String fENTITIESSymbol

  Deprecated.
  Symbol: "ENTITIES".

### fENTITYSymbol

    public static final String fENTITYSymbol

  Deprecated.
  Symbol: "ENTITY".

### fENUMERATIONSymbol

    public static final String fENUMERATIONSymbol

  Deprecated.
  Symbol: "ENUMERATION".

### fFIXEDSymbol

    public static final String fFIXEDSymbol

  Deprecated.
  Symbol: "#FIXED".

### fIDREFSSymbol

    public static final String fIDREFSSymbol

  Deprecated.
  Symbol: "IDREFS".

### fIDREFSymbol

    public static final String fIDREFSymbol

  Deprecated.
  Symbol: "IDREF".

### fIDSymbol

    public static final String fIDSymbol

  Deprecated.
  Symbol: "ID".

### fIMPLIEDSymbol

    public static final String fIMPLIEDSymbol

  Deprecated.
  Symbol: "#IMPLIED.

### fNMTOKENSSymbol

    public static final String fNMTOKENSSymbol

  Deprecated.
  Symbol: "NMTOKENS".

### fNMTOKENSymbol

    public static final String fNMTOKENSymbol

  Deprecated.
  Symbol: "NMTOKEN".

### fNOTATIONSymbol

    public static final String fNOTATIONSymbol

  Deprecated.
  Symbol: "NOTATION".

### fREQUIREDSymbol

    public static final String fREQUIREDSymbol

  Deprecated.
  Symbol: "#REQUIRED".

### PREFIX_XML

    public static final String PREFIX_XML

  Deprecated.
  The internalized "xml" prefix.

### PREFIX_XMLNS

    public static final String PREFIX_XMLNS

  Deprecated.
  The internalized "xmlns" prefix.

Constructor Detail

### XMLSymbols

    public XMLSymbols()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD